function r=ator2(a,b,maxlag)

%ATOR2

%	Finds the autocorrelation sequence r(k) of an
%       autoregressive process that is generated by 
%	filtering unit variance white noise with the filter
%		H(z)=b(0)/A(z)
%       With r = ator(a) the autocorrelation sequence is 
%	normalized so that r(0)=1.
%

p=length(a)-1;

if nargin~=3, maxlag=p; end;
if isempty(b), b=[]; end;

gamma=atog(a);
r=gtor(gamma); % from ator.m finds first p lags of auto-corr sequence

for k=(length(a)+1):(maxlag+1),
    r(k)=-1*sum(a(2:end).*r(k-1:-1:k-p));  %Yule-Walker
end;
   
if isempty(b)==0,
   r = r*b^2/prod(1-abs(gamma).^2);
end;

r=conj(r); %ator.m'de complex veri icin hata mi var ?!?